com.independentsoft.msg

## Enum Importance

- java.lang.Object
- - java.lang.Enum<Importance>
  - - com.independentsoft.msg.Importance

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Importance>

      public enum Importance
      extends java.lang.Enum<Importance>

  Indicates the message sender's opinion of the importance of a message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH` The message has high importance.
    `LOW` The message has low importance.
    `NONE` None.
    `NORMAL` The message has normal importance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Importance` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Importance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOW

          public static final Importance LOW

      The message has low importance.

    - #### NORMAL

          public static final Importance NORMAL

      The message has normal importance.

    - #### HIGH

          public static final Importance HIGH

      The message has high importance.

    - #### NONE

          public static final Importance NONE

      None.

  - ### Method Detail

    - #### values

          public static Importance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Importance c : Importance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Importance valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null